package game

import "util"

type gameState struct {
    fpsLimit  int
    fpsTicker int
    turnCount int
    isWizard  bool
    //player Player
    debugMode bool
    debugAi   bool
    Level Level
}

var State gameState

func Init(config *util.Config) *gameState {
    State := gameState{
        fpsLimit:  config.FpsLimit,
        fpsTicker: 0,
        turnCount: 0,
        isWizard:  false,
        debugMode: true,
        debugAi:   true}

    return &State
}

func GetState() *gameState {
    return &State
}